Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\SPI\Persistence\Content\Location Class Reference

Struct containing accessible properties on Location entities. More...

Inheritance diagram for eZ\Publish\SPI\Persistence\Content\Location:

## Public Attributes
const | SORT_FIELD_PATH = 1
const | SORT_FIELD_PUBLISHED = 2
const | SORT_FIELD_MODIFIED = 3
const | SORT_FIELD_SECTION = 4
const | SORT_FIELD_DEPTH = 5
const | SORT_FIELD_CLASS_IDENTIFIER = 6
const | SORT_FIELD_CLASS_NAME = 7
const | SORT_FIELD_PRIORITY = 8
const | SORT_FIELD_NAME = 9
const | SORT_FIELD_MODIFIED_SUBNODE = 10
const | SORT_FIELD_NODE_ID = 11
const | SORT_FIELD_CONTENTOBJECT_ID = 12
const | SORT_ORDER_DESC = 0
const | SORT_ORDER_ASC = 1
| $id
| $priority
| $hidden
| $invisible
| $remoteId
| $contentId
| $parentId
| $pathIdentificationString
| $pathString
| $depth
| $sortField
| $sortOrder

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Struct containing accessible properties on Location entities.

Definition at line 14 of file SPI/Persistence/Content/Location.php.

## Member Data Documentation

## ◆ $contentId

eZ\Publish\SPI\Persistence\Content\Location::$contentId

Definition at line 80 of file SPI/Persistence/Content/Location.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\changeMainLocation(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\changeMainLocation(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\changeMainLocation(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\copySubtree(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\countLocationsByContentId(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\countLocationsByContentId(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\createLocationsFromNodeAssignments(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\createLocationsFromNodeAssignments(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\deleteNodeAssignment(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\deleteNodeAssignment(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\getFallbackMainNodeData(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\getFallbackMainNodeData(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\getMainNodeId(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\loadLocationDataByContent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\loadLocationDataByContent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\loadLocationDataByTrashContent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\loadLocationDataByTrashContent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\loadLocationsByContent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\loadLocationsByTrashContent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\loadParentLocationsDataForDraftContent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\loadParentLocationsForDraftContent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\updateLocationsContentVersionNo(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\updateLocationsContentVersionNo().

## ◆ $depth

eZ\Publish\SPI\Persistence\Content\Location::$depth

Definition at line 112 of file SPI/Persistence/Content/Location.php.

## ◆ $hidden

eZ\Publish\SPI\Persistence\Content\Location::$hidden

Definition at line 56 of file SPI/Persistence/Content/Location.php.

## ◆ $id

eZ\Publish\SPI\Persistence\Content\Location::$id

Definition at line 39 of file SPI/Persistence/Content/Location.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Mapper\createLocationsFromRows(), eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\CriterionHandler\Ancestor\handle(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\hide(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\loadList(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Trash\Handler\loadTrashItem(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\removeElementFromTrash(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\removeElementFromTrash(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\setInvisible(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\setVisible(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\unHide().

## ◆ $invisible

eZ\Publish\SPI\Persistence\Content\Location::$invisible

Definition at line 64 of file SPI/Persistence/Content/Location.php.

## ◆ $parentId

eZ\Publish\SPI\Persistence\Content\Location::$parentId

Definition at line 87 of file SPI/Persistence/Content/Location.php.

## ◆ $pathIdentificationString

eZ\Publish\SPI\Persistence\Content\Location::$pathIdentificationString

Definition at line 98 of file SPI/Persistence/Content/Location.php.

## ◆ $pathString

eZ\Publish\SPI\Persistence\Content\Location::$pathString

Definition at line 105 of file SPI/Persistence/Content/Location.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\copySubtree(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\getParentPathString(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\hideSubtree(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\hideSubtree(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\isHiddenByParent(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\setNodeHidden(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setNodeHidden(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\setNodeHiddenStatus(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\setNodeUnhidden(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setNodeUnhidden(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\setNodeWithChildrenInvisible(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setNodeWithChildrenInvisible(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\setNodeWithChildrenVisible(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setNodeWithChildrenVisible(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\setSectionForSubtree(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\unHideSubtree(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\unHideSubtree(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\updateSubtreeModificationTime(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\updateSubtreeModificationTime().

## ◆ $priority

eZ\Publish\SPI\Persistence\Content\Location::$priority

Definition at line 49 of file SPI/Persistence/Content/Location.php.

## ◆ $remoteId

eZ\Publish\SPI\Persistence\Content\Location::$remoteId

Definition at line 73 of file SPI/Persistence/Content/Location.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\DoctrineDatabase\getBasicNodeDataByRemoteId(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\getBasicNodeDataByRemoteId(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\loadByRemoteId().

## ◆ $sortField

eZ\Publish\SPI\Persistence\Content\Location::$sortField

Definition at line 121 of file SPI/Persistence/Content/Location.php.

## ◆ $sortOrder

eZ\Publish\SPI\Persistence\Content\Location::$sortOrder

Definition at line 130 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_CLASS_IDENTIFIER

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_CLASS_IDENTIFIER = 6

Definition at line 23 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_CLASS_NAME

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_CLASS_NAME = 7

Definition at line 24 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_CONTENTOBJECT_ID

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_CONTENTOBJECT_ID = 12

Definition at line 29 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_DEPTH

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_DEPTH = 5

Definition at line 22 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_MODIFIED

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_MODIFIED = 3

Definition at line 20 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_MODIFIED_SUBNODE

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_MODIFIED_SUBNODE = 10

Definition at line 27 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_NAME

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_NAME = 9

Definition at line 26 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_NODE_ID

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_NODE_ID = 11

Definition at line 28 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_PATH

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_PATH = 1

Definition at line 18 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_PRIORITY

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_PRIORITY = 8

Definition at line 25 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_PUBLISHED

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_PUBLISHED = 2

Definition at line 19 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_FIELD_SECTION

const eZ\Publish\SPI\Persistence\Content\Location::SORT_FIELD_SECTION = 4

Definition at line 21 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_ORDER_ASC

const eZ\Publish\SPI\Persistence\Content\Location::SORT_ORDER_ASC = 1

Definition at line 32 of file SPI/Persistence/Content/Location.php.

## ◆ SORT_ORDER_DESC

const eZ\Publish\SPI\Persistence\Content\Location::SORT_ORDER_DESC = 0

Definition at line 31 of file SPI/Persistence/Content/Location.php.

The documentation for this class was generated from the following file:

- SPI/Persistence/Content/Location.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.